Get partner deposit detail
curl --request GET \
--url https://ramp-sandbox.hexarails.ai/deposit/detail \
--header 'X-API-Key: <api-key>'{
"status": "SUCCESS",
"data": {
"id": "<string>",
"currency": "<string>",
"amount": "<string>",
"txid": "<string>",
"voutIndexTxKey": "<string>",
"timestamp": "<string>",
"customerId": {},
"senderBankAccount": {
"id": "67890",
"customerId": "12345",
"currency": "USD",
"bankName": "Chase Bank",
"accountNo": "1234567890",
"createTime": "2024-01-01T00:00:00Z",
"updateTime": "2024-01-02T00:00:00Z",
"swift": "CHASUS33"
},
"senderCryptoAddress": {
"id": "67890",
"customerId": "12345",
"currency": "USDT",
"address": "0x1234567890123456789012345678901234567890",
"label": "My Wallet",
"createTime": "2024-01-01T00:00:00Z",
"updateTime": "2024-01-02T00:00:00Z",
"network": "ETH"
},
"receiverDepositAddress": {
"id": "7a99eddf-0930-41bc-b967-bea1520d66e4",
"customerId": "12345",
"status": "PENDING",
"address": "0x1234567890123456789012345678901234567890",
"network": "ETH",
"currency": "USDT"
},
"receiverVirtualAccount": {
"id": "va_123",
"customerId": "12345",
"customerName": "John Doe",
"currency": "AUD",
"accountNumber": "12345678",
"bicSwift": "123-456",
"payId": "john.doe@example.com",
"iban": "IBAN1234567890",
"createTime": "2024-01-01T00:00:00Z",
"status": "VERIFIED",
"bankName": "Example Bank",
"bankAddress": "123 Example Street, London, UK"
},
"txFrom": {},
"txReference": {}
}
}Deposits
Get Deposit Detail
Returns one deposit record if it belongs to the partner.
GET
/
deposit
/
detail
Get partner deposit detail
curl --request GET \
--url https://ramp-sandbox.hexarails.ai/deposit/detail \
--header 'X-API-Key: <api-key>'{
"status": "SUCCESS",
"data": {
"id": "<string>",
"currency": "<string>",
"amount": "<string>",
"txid": "<string>",
"voutIndexTxKey": "<string>",
"timestamp": "<string>",
"customerId": {},
"senderBankAccount": {
"id": "67890",
"customerId": "12345",
"currency": "USD",
"bankName": "Chase Bank",
"accountNo": "1234567890",
"createTime": "2024-01-01T00:00:00Z",
"updateTime": "2024-01-02T00:00:00Z",
"swift": "CHASUS33"
},
"senderCryptoAddress": {
"id": "67890",
"customerId": "12345",
"currency": "USDT",
"address": "0x1234567890123456789012345678901234567890",
"label": "My Wallet",
"createTime": "2024-01-01T00:00:00Z",
"updateTime": "2024-01-02T00:00:00Z",
"network": "ETH"
},
"receiverDepositAddress": {
"id": "7a99eddf-0930-41bc-b967-bea1520d66e4",
"customerId": "12345",
"status": "PENDING",
"address": "0x1234567890123456789012345678901234567890",
"network": "ETH",
"currency": "USDT"
},
"receiverVirtualAccount": {
"id": "va_123",
"customerId": "12345",
"customerName": "John Doe",
"currency": "AUD",
"accountNumber": "12345678",
"bicSwift": "123-456",
"payId": "john.doe@example.com",
"iban": "IBAN1234567890",
"createTime": "2024-01-01T00:00:00Z",
"status": "VERIFIED",
"bankName": "Example Bank",
"bankAddress": "123 Example Street, London, UK"
},
"txFrom": {},
"txReference": {}
}
}Authorizations
api_keyapi_secret
Query Parameters
Partner deposit record ID (UUID)
Optional status filter
Available options:
RECEIVED, CONFIRMED, ACTION_REQUIRED, REJECTED ⌘I

